Subject: bug#75379: 30.0.93; project-find-regexp expects "C" or "en" locale

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Jan 2025 15:03:38 +0200

> From: Matthias Meulien <[email-masked]>
> Date: Sun, 5 Jan 2025 22:29:54 +0100
> Cc: Dmitry Gutov <[email-masked]>, [email-masked]
> 
> And the rg (ripgrep) manual page says:
> 
>   By default, ripgrep attempts to automatically skip binary files in order to improve the relevance of results
> and make the search  faster.
> 
> And ugrep support -I in with the same meaning as grep.
> 
> Thus I propose to add both -I to grep and ugrep, remove the processing of search output for binary file
> messages, and extend doc string for users to be aware that the behavior has (slightly) changed.

Likewise here: we will need to warn people from removing these options
or adding something that would countermand them.